X2Go Bug report logs - #1503
x2goagent coredump on fedora 33

version graph

Package: x2goagent; Maintainer for x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goagent is src:nx-libs.

Reported by: Gianluca Parmiggiani <gparmiggiani@elfisystems.it>

Date: Wed, 4 Nov 2020 13:40:03 UTC

Severity: normal

Found in version 4.1.0.3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1503; Package x2goagent. (Wed, 04 Nov 2020 13:40:03 GMT) (full text, mbox, link).


Acknowledgement sent to Gianluca Parmiggiani <gparmiggiani@elfisystems.it>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Nov 2020 13:40:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Gianluca Parmiggiani <gparmiggiani@elfisystems.it>
To: submit@bugs.x2go.org
Subject: x2goagent coredump on fedora 33
Date: Wed, 4 Nov 2020 14:37:06 +0100
[Message part 1 (text/plain, inline)]
Package: x2goagent
Version: 4.1.0.3

After upgrading from fedora workstation 32 to fedora workstation 33 I'm no
longer able to use x2go for remote work (I asked a linux workstation and
configured it myself). X2go has been running fine since f31.
Often after a reboot I can still use x2go for some minutes then it starts
to close unexpectedly even after a few seconds or when opening new windows
after session creation.

Here is one of the many core dumps:

           PID: 4390 (x2goagent)
           UID: 1000 (gparmiggiani)
           GID: 1000 (gparmiggiani)
        Signal: 6 (ABRT)
     Timestamp: Tue 2020-11-03 12:58:16 CET (19h ago)
  Command Line: x2goagent -nolisten tcp -nolisten tcp -dpi 144 -R -auth
/home/gparmiggiani/.Xauthority -geometry 3840x2100 -name
X2GO-gparmiggiani-50-1604404680_stRx2go-sess-run_dp32 :50
    Executable: /usr/bin/nxagent
 Control Group: /user.slice/user-1000.slice/session-6.scope
          Unit: session-6.scope
         Slice: user-1000.slice
       Session: 6
     Owner UID: 1000 (gparmiggiani)
       Boot ID: d09cf916ba0d4b8ead05e250501dccd1
    Machine ID: d1ab05e432c24567859f109be8523fab
      Hostname: ilmarin.xxx.yyy
       Storage:
/var/lib/systemd/coredump/core.x2goagent.1000.d09cf916ba0d4b8ead05e250501dccd1.4390.1604404696000000.zst
       Message: Process 4390 (x2goagent) of user 1000 dumped core.

                Stack trace of thread 4390:
                #0  0x00007f08394a2bc5 raise (libc.so.6 + 0x3dbc5)
                #1  0x00007f083948b8a4 abort (libc.so.6 + 0x268a4)
                #2  0x00007f08394e5127 __libc_message (libc.so.6 + 0x80127)
                #3  0x00007f083957647a __fortify_fail (libc.so.6 + 0x11147a)
                #4  0x00007f0839576446 __stack_chk_fail (libc.so.6 +
0x111446)
                #5  0x000055da7fbec3b1 nxagentCollectPropertyEvent (nxagent
+ 0xbc3b1)
                #6  0x000055da7fbcfb43 nxagentDispatchEvents (nxagent +
0x9fb43)
                #7  0x000055da7fbd678a nxagentWakeupHandler (nxagent +
0xa678a)
                #8  0x000055da7fbbb153 WaitForSomething (nxagent + 0x8b153)
                #9  0x000055da7fb93cca Dispatch (nxagent + 0x63cca)
                #10 0x000055da7fb7262e main (nxagent + 0x4262e)
                #11 0x00007f083948d1a2 __libc_start_main (libc.so.6 +
0x281a2)
                #12 0x000055da7fb74a1e _start (nxagent + 0x44a1e)

Please let me know if you need more info or testing, the problem is always
reproducible.
Thanks in advance,
Gianluca.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1503; Package x2goagent. (Wed, 04 Nov 2020 15:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Nov 2020 15:00:03 GMT) (full text, mbox, link).


Message #10 received at 1503@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Gianluca Parmiggiani <gparmiggiani@elfisystems.it>, 1503@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1503: x2goagent coredump on fedora 33
Date: Wed, 4 Nov 2020 15:54:52 +0100
What version of nxagent do you have installed on the server?

There will be a 3.5.99.25 release in the next days (hopefully) which
fixes some crashes. If you do not want to wait you can compile your
own version from this tree: https://github.com/ArcticaProject/nx-libs
(Instructions in the README.md)

Uli

On Wed, Nov 4, 2020 at 2:40 PM Gianluca Parmiggiani
<gparmiggiani@elfisystems.it> wrote:
>
> Package: x2goagent
> Version: 4.1.0.3
>
> After upgrading from fedora workstation 32 to fedora workstation 33 I'm no longer able to use x2go for remote work (I asked a linux workstation and configured it myself). X2go has been running fine since f31.
> Often after a reboot I can still use x2go for some minutes then it starts to close unexpectedly even after a few seconds or when opening new windows after session creation.
>
> Here is one of the many core dumps:
>
>            PID: 4390 (x2goagent)
>            UID: 1000 (gparmiggiani)
>            GID: 1000 (gparmiggiani)
>         Signal: 6 (ABRT)
>      Timestamp: Tue 2020-11-03 12:58:16 CET (19h ago)
>   Command Line: x2goagent -nolisten tcp -nolisten tcp -dpi 144 -R -auth /home/gparmiggiani/.Xauthority -geometry 3840x2100 -name X2GO-gparmiggiani-50-1604404680_stRx2go-sess-run_dp32 :50
>     Executable: /usr/bin/nxagent
>  Control Group: /user.slice/user-1000.slice/session-6.scope
>           Unit: session-6.scope
>          Slice: user-1000.slice
>        Session: 6
>      Owner UID: 1000 (gparmiggiani)
>        Boot ID: d09cf916ba0d4b8ead05e250501dccd1
>     Machine ID: d1ab05e432c24567859f109be8523fab
>       Hostname: ilmarin.xxx.yyy
>        Storage: /var/lib/systemd/coredump/core.x2goagent.1000.d09cf916ba0d4b8ead05e250501dccd1.4390.1604404696000000.zst
>        Message: Process 4390 (x2goagent) of user 1000 dumped core.
>
>                 Stack trace of thread 4390:
>                 #0  0x00007f08394a2bc5 raise (libc.so.6 + 0x3dbc5)
>                 #1  0x00007f083948b8a4 abort (libc.so.6 + 0x268a4)
>                 #2  0x00007f08394e5127 __libc_message (libc.so.6 + 0x80127)
>                 #3  0x00007f083957647a __fortify_fail (libc.so.6 + 0x11147a)
>                 #4  0x00007f0839576446 __stack_chk_fail (libc.so.6 + 0x111446)
>                 #5  0x000055da7fbec3b1 nxagentCollectPropertyEvent (nxagent + 0xbc3b1)
>                 #6  0x000055da7fbcfb43 nxagentDispatchEvents (nxagent + 0x9fb43)
>                 #7  0x000055da7fbd678a nxagentWakeupHandler (nxagent + 0xa678a)
>                 #8  0x000055da7fbbb153 WaitForSomething (nxagent + 0x8b153)
>                 #9  0x000055da7fb93cca Dispatch (nxagent + 0x63cca)
>                 #10 0x000055da7fb7262e main (nxagent + 0x4262e)
>                 #11 0x00007f083948d1a2 __libc_start_main (libc.so.6 + 0x281a2)
>                 #12 0x000055da7fb74a1e _start (nxagent + 0x44a1e)
>
> Please let me know if you need more info or testing, the problem is always reproducible.
> Thanks in advance,
> Gianluca.
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1503; Package x2goagent. (Wed, 04 Nov 2020 17:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Gianluca Parmiggiani <gparmiggiani@elfisystems.it>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Nov 2020 17:20:02 GMT) (full text, mbox, link).


Message #15 received at 1503@bugs.x2go.org (full text, mbox, reply):

From: Gianluca Parmiggiani <gparmiggiani@elfisystems.it>
To: uli42@gmx.de
Cc: 1503@bugs.x2go.org, submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1503: x2goagent coredump on fedora 33
Date: Wed, 4 Nov 2020 18:17:02 +0100
[Message part 1 (text/plain, inline)]
Should be latest (released):
$ nxagent -version
NXAGENT - Version 3.5.99.24
Thanks for the advice, if I'll find the time I will try to recompile
nxagent from sources and report back.
Gian.

Il giorno mer 4 nov 2020 alle ore 15:55 Ulrich Sibiller <
ulrich.sibiller@gmail.com> ha scritto:

> What version of nxagent do you have installed on the server?
>
> There will be a 3.5.99.25 release in the next days (hopefully) which
> fixes some crashes. If you do not want to wait you can compile your
> own version from this tree: https://github.com/ArcticaProject/nx-libs
> (Instructions in the README.md)
>
> Uli
>
> On Wed, Nov 4, 2020 at 2:40 PM Gianluca Parmiggiani
> <gparmiggiani@elfisystems.it> wrote:
> >
> > Package: x2goagent
> > Version: 4.1.0.3
> >
> > After upgrading from fedora workstation 32 to fedora workstation 33 I'm
> no longer able to use x2go for remote work (I asked a linux workstation and
> configured it myself). X2go has been running fine since f31.
> > Often after a reboot I can still use x2go for some minutes then it
> starts to close unexpectedly even after a few seconds or when opening new
> windows after session creation.
> >
> > Here is one of the many core dumps:
> >
> >            PID: 4390 (x2goagent)
> >            UID: 1000 (gparmiggiani)
> >            GID: 1000 (gparmiggiani)
> >         Signal: 6 (ABRT)
> >      Timestamp: Tue 2020-11-03 12:58:16 CET (19h ago)
> >   Command Line: x2goagent -nolisten tcp -nolisten tcp -dpi 144 -R -auth
> /home/gparmiggiani/.Xauthority -geometry 3840x2100 -name
> X2GO-gparmiggiani-50-1604404680_stRx2go-sess-run_dp32 :50
> >     Executable: /usr/bin/nxagent
> >  Control Group: /user.slice/user-1000.slice/session-6.scope
> >           Unit: session-6.scope
> >          Slice: user-1000.slice
> >        Session: 6
> >      Owner UID: 1000 (gparmiggiani)
> >        Boot ID: d09cf916ba0d4b8ead05e250501dccd1
> >     Machine ID: d1ab05e432c24567859f109be8523fab
> >       Hostname: ilmarin.xxx.yyy
> >        Storage:
> /var/lib/systemd/coredump/core.x2goagent.1000.d09cf916ba0d4b8ead05e250501dccd1.4390.1604404696000000.zst
> >        Message: Process 4390 (x2goagent) of user 1000 dumped core.
> >
> >                 Stack trace of thread 4390:
> >                 #0  0x00007f08394a2bc5 raise (libc.so.6 + 0x3dbc5)
> >                 #1  0x00007f083948b8a4 abort (libc.so.6 + 0x268a4)
> >                 #2  0x00007f08394e5127 __libc_message (libc.so.6 +
> 0x80127)
> >                 #3  0x00007f083957647a __fortify_fail (libc.so.6 +
> 0x11147a)
> >                 #4  0x00007f0839576446 __stack_chk_fail (libc.so.6 +
> 0x111446)
> >                 #5  0x000055da7fbec3b1 nxagentCollectPropertyEvent
> (nxagent + 0xbc3b1)
> >                 #6  0x000055da7fbcfb43 nxagentDispatchEvents (nxagent +
> 0x9fb43)
> >                 #7  0x000055da7fbd678a nxagentWakeupHandler (nxagent +
> 0xa678a)
> >                 #8  0x000055da7fbbb153 WaitForSomething (nxagent +
> 0x8b153)
> >                 #9  0x000055da7fb93cca Dispatch (nxagent + 0x63cca)
> >                 #10 0x000055da7fb7262e main (nxagent + 0x4262e)
> >                 #11 0x00007f083948d1a2 __libc_start_main (libc.so.6 +
> 0x281a2)
> >                 #12 0x000055da7fb74a1e _start (nxagent + 0x44a1e)
> >
> > Please let me know if you need more info or testing, the problem is
> always reproducible.
> > Thanks in advance,
> > Gianluca.
> > _______________________________________________
> > x2go-dev mailing list
> > x2go-dev@lists.x2go.org
> > https://lists.x2go.org/listinfo/x2go-dev
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1503; Package x2goagent. (Wed, 04 Nov 2020 22:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Gianluca Parmiggiani <gparmiggiani@elfisystems.it>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 04 Nov 2020 22:40:02 GMT) (full text, mbox, link).


Message #20 received at 1503@bugs.x2go.org (full text, mbox, reply):

From: Gianluca Parmiggiani <gparmiggiani@elfisystems.it>
To: uli42@gmx.de
Cc: 1503@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1503: x2goagent coredump on fedora 33
Date: Wed, 4 Nov 2020 23:38:22 +0100
[Message part 1 (text/plain, inline)]
I've rebuilt and installed rpms, seems to be working now, i'll test the
whole day next days.
Upgrading gave me errors but I've been able to force it.

rpms:
libNX_X11-6-3.5.99.25-0.0build1.fc33.x86_64.rpm
libXcomp3-3.5.99.25-0.0build1.fc33.x86_64.rpm
libXcompshad3-3.5.99.25-0.0build1.fc33.x86_64.rpm
nxagent-3.5.99.25-0.0build1.fc33.x86_64.rpm
nxdialog-3.5.99.25-0.0build1.fc33.x86_64.rpm
nx-libs-3.5.99.25-0.0build1.fc33.x86_64.rpm
nxproxy-3.5.99.25-0.0build1.fc33.x86_64.rpm

$ sudo rpm --upgrade *.rpm
errore: Dipendenze fallite:
        nx-libs(x86-64) = 3.5.99.24-2.fc33 necessario a (installato)
libXcomp-3.5.99.24-2.fc33.x86_64
        nx-libs(x86-64) = 3.5.99.24-2.fc33 necessario a (installato)
libNX_X11-3.5.99.24-2.fc33.x86_64
        nx-libs(x86-64) = 3.5.99.24-2.fc33 necessario a (installato)
libXcompshad-3.5.99.24-2.fc33.x86_64

$ sudo rpm --upgrade *.rpm --nodeps
        il file /usr/lib64/libXcomp.so.3.5.99 dell'installazione di
libXcomp3-3.5.99.25-0.0build1.fc33.x86_64 entra in conflitto con il file
del pacchetto libXcomp-3.5.99.24-2.fc33.x86_64
        il file /usr/lib64/libNX_X11.so.6.3.0 dell'installazione di
libNX_X11-6-3.5.99.25-0.0build1.fc33.x86_64 entra in conflitto con il file
del pacchetto libNX_X11-3.5.99.24-2.fc33.x86_64
        il file /usr/lib64/libXcompshad.so.3.5.99 dell'installazione di
libXcompshad3-3.5.99.25-0.0build1.fc33.x86_64 entra in conflitto con il
file del pacchetto libXcompshad-3.5.99.24-2.fc33.x86_64

$ sudo rpm --upgrade *.rpm --nodeps --force
$

$ nxagent -version
NXAGENT - Version 3.5.99.25

Thanks!
Gian.

Il giorno mer 4 nov 2020 alle ore 18:17 Gianluca Parmiggiani <
gparmiggiani@elfisystems.it> ha scritto:

> Should be latest (released):
> $ nxagent -version
> NXAGENT - Version 3.5.99.24
> Thanks for the advice, if I'll find the time I will try to recompile
> nxagent from sources and report back.
> Gian.
>
> Il giorno mer 4 nov 2020 alle ore 15:55 Ulrich Sibiller <
> ulrich.sibiller@gmail.com> ha scritto:
>
>> What version of nxagent do you have installed on the server?
>>
>> There will be a 3.5.99.25 release in the next days (hopefully) which
>> fixes some crashes. If you do not want to wait you can compile your
>> own version from this tree: https://github.com/ArcticaProject/nx-libs
>> (Instructions in the README.md)
>>
>> Uli
>>
>> On Wed, Nov 4, 2020 at 2:40 PM Gianluca Parmiggiani
>> <gparmiggiani@elfisystems.it> wrote:
>> >
>> > Package: x2goagent
>> > Version: 4.1.0.3
>> >
>> > After upgrading from fedora workstation 32 to fedora workstation 33 I'm
>> no longer able to use x2go for remote work (I asked a linux workstation and
>> configured it myself). X2go has been running fine since f31.
>> > Often after a reboot I can still use x2go for some minutes then it
>> starts to close unexpectedly even after a few seconds or when opening new
>> windows after session creation.
>> >
>> > Here is one of the many core dumps:
>> >
>> >            PID: 4390 (x2goagent)
>> >            UID: 1000 (gparmiggiani)
>> >            GID: 1000 (gparmiggiani)
>> >         Signal: 6 (ABRT)
>> >      Timestamp: Tue 2020-11-03 12:58:16 CET (19h ago)
>> >   Command Line: x2goagent -nolisten tcp -nolisten tcp -dpi 144 -R -auth
>> /home/gparmiggiani/.Xauthority -geometry 3840x2100 -name
>> X2GO-gparmiggiani-50-1604404680_stRx2go-sess-run_dp32 :50
>> >     Executable: /usr/bin/nxagent
>> >  Control Group: /user.slice/user-1000.slice/session-6.scope
>> >           Unit: session-6.scope
>> >          Slice: user-1000.slice
>> >        Session: 6
>> >      Owner UID: 1000 (gparmiggiani)
>> >        Boot ID: d09cf916ba0d4b8ead05e250501dccd1
>> >     Machine ID: d1ab05e432c24567859f109be8523fab
>> >       Hostname: ilmarin.xxx.yyy
>> >        Storage:
>> /var/lib/systemd/coredump/core.x2goagent.1000.d09cf916ba0d4b8ead05e250501dccd1.4390.1604404696000000.zst
>> >        Message: Process 4390 (x2goagent) of user 1000 dumped core.
>> >
>> >                 Stack trace of thread 4390:
>> >                 #0  0x00007f08394a2bc5 raise (libc.so.6 + 0x3dbc5)
>> >                 #1  0x00007f083948b8a4 abort (libc.so.6 + 0x268a4)
>> >                 #2  0x00007f08394e5127 __libc_message (libc.so.6 +
>> 0x80127)
>> >                 #3  0x00007f083957647a __fortify_fail (libc.so.6 +
>> 0x11147a)
>> >                 #4  0x00007f0839576446 __stack_chk_fail (libc.so.6 +
>> 0x111446)
>> >                 #5  0x000055da7fbec3b1 nxagentCollectPropertyEvent
>> (nxagent + 0xbc3b1)
>> >                 #6  0x000055da7fbcfb43 nxagentDispatchEvents (nxagent +
>> 0x9fb43)
>> >                 #7  0x000055da7fbd678a nxagentWakeupHandler (nxagent +
>> 0xa678a)
>> >                 #8  0x000055da7fbbb153 WaitForSomething (nxagent +
>> 0x8b153)
>> >                 #9  0x000055da7fb93cca Dispatch (nxagent + 0x63cca)
>> >                 #10 0x000055da7fb7262e main (nxagent + 0x4262e)
>> >                 #11 0x00007f083948d1a2 __libc_start_main (libc.so.6 +
>> 0x281a2)
>> >                 #12 0x000055da7fb74a1e _start (nxagent + 0x44a1e)
>> >
>> > Please let me know if you need more info or testing, the problem is
>> always reproducible.
>> > Thanks in advance,
>> > Gianluca.
>> > _______________________________________________
>> > x2go-dev mailing list
>> > x2go-dev@lists.x2go.org
>> > https://lists.x2go.org/listinfo/x2go-dev
>>
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1503; Package x2goagent. (Fri, 06 Nov 2020 11:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ulrich Sibiller <uli42@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 06 Nov 2020 11:30:02 GMT) (full text, mbox, link).


Message #25 received at 1503@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <uli42@gmx.de>
To: Gianluca Parmiggiani <gparmiggiani@elfisystems.it>, 1503@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1503: Bug#1503: x2goagent coredump on fedora 33
Date: Fri, 6 Nov 2020 12:26:11 +0100
https://bodhi.fedoraproject.org/updates/?packages=nx-libs has some
newer packages now, fc33 will probably be ready in a few hours.

Uli

On Wed, Nov 4, 2020 at 11:40 PM Gianluca Parmiggiani
<gparmiggiani@elfisystems.it> wrote:
>
> I've rebuilt and installed rpms, seems to be working now, i'll test the whole day next days.
> Upgrading gave me errors but I've been able to force it.
>
> rpms:
> libNX_X11-6-3.5.99.25-0.0build1.fc33.x86_64.rpm
> libXcomp3-3.5.99.25-0.0build1.fc33.x86_64.rpm
> libXcompshad3-3.5.99.25-0.0build1.fc33.x86_64.rpm
> nxagent-3.5.99.25-0.0build1.fc33.x86_64.rpm
> nxdialog-3.5.99.25-0.0build1.fc33.x86_64.rpm
> nx-libs-3.5.99.25-0.0build1.fc33.x86_64.rpm
> nxproxy-3.5.99.25-0.0build1.fc33.x86_64.rpm
>
> $ sudo rpm --upgrade *.rpm
> errore: Dipendenze fallite:
>         nx-libs(x86-64) = 3.5.99.24-2.fc33 necessario a (installato) libXcomp-3.5.99.24-2.fc33.x86_64
>         nx-libs(x86-64) = 3.5.99.24-2.fc33 necessario a (installato) libNX_X11-3.5.99.24-2.fc33.x86_64
>         nx-libs(x86-64) = 3.5.99.24-2.fc33 necessario a (installato) libXcompshad-3.5.99.24-2.fc33.x86_64
>
> $ sudo rpm --upgrade *.rpm --nodeps
>         il file /usr/lib64/libXcomp.so.3.5.99 dell'installazione di libXcomp3-3.5.99.25-0.0build1.fc33.x86_64 entra in conflitto con il file del pacchetto libXcomp-3.5.99.24-2.fc33.x86_64
>         il file /usr/lib64/libNX_X11.so.6.3.0 dell'installazione di libNX_X11-6-3.5.99.25-0.0build1.fc33.x86_64 entra in conflitto con il file del pacchetto libNX_X11-3.5.99.24-2.fc33.x86_64
>         il file /usr/lib64/libXcompshad.so.3.5.99 dell'installazione di libXcompshad3-3.5.99.25-0.0build1.fc33.x86_64 entra in conflitto con il file del pacchetto libXcompshad-3.5.99.24-2.fc33.x86_64
>
> $ sudo rpm --upgrade *.rpm --nodeps --force
> $
>
> $ nxagent -version
> NXAGENT - Version 3.5.99.25
>
> Thanks!
> Gian.
>
> Il giorno mer 4 nov 2020 alle ore 18:17 Gianluca Parmiggiani <gparmiggiani@elfisystems.it> ha scritto:
>>
>> Should be latest (released):
>> $ nxagent -version
>> NXAGENT - Version 3.5.99.24
>> Thanks for the advice, if I'll find the time I will try to recompile nxagent from sources and report back.
>> Gian.
>>
>> Il giorno mer 4 nov 2020 alle ore 15:55 Ulrich Sibiller <ulrich.sibiller@gmail.com> ha scritto:
>>>
>>> What version of nxagent do you have installed on the server?
>>>
>>> There will be a 3.5.99.25 release in the next days (hopefully) which
>>> fixes some crashes. If you do not want to wait you can compile your
>>> own version from this tree: https://github.com/ArcticaProject/nx-libs
>>> (Instructions in the README.md)
>>>
>>> Uli
>>>
>>> On Wed, Nov 4, 2020 at 2:40 PM Gianluca Parmiggiani
>>> <gparmiggiani@elfisystems.it> wrote:
>>> >
>>> > Package: x2goagent
>>> > Version: 4.1.0.3
>>> >
>>> > After upgrading from fedora workstation 32 to fedora workstation 33 I'm no longer able to use x2go for remote work (I asked a linux workstation and configured it myself). X2go has been running fine since f31.
>>> > Often after a reboot I can still use x2go for some minutes then it starts to close unexpectedly even after a few seconds or when opening new windows after session creation.
>>> >
>>> > Here is one of the many core dumps:
>>> >
>>> >            PID: 4390 (x2goagent)
>>> >            UID: 1000 (gparmiggiani)
>>> >            GID: 1000 (gparmiggiani)
>>> >         Signal: 6 (ABRT)
>>> >      Timestamp: Tue 2020-11-03 12:58:16 CET (19h ago)
>>> >   Command Line: x2goagent -nolisten tcp -nolisten tcp -dpi 144 -R -auth /home/gparmiggiani/.Xauthority -geometry 3840x2100 -name X2GO-gparmiggiani-50-1604404680_stRx2go-sess-run_dp32 :50
>>> >     Executable: /usr/bin/nxagent
>>> >  Control Group: /user.slice/user-1000.slice/session-6.scope
>>> >           Unit: session-6.scope
>>> >          Slice: user-1000.slice
>>> >        Session: 6
>>> >      Owner UID: 1000 (gparmiggiani)
>>> >        Boot ID: d09cf916ba0d4b8ead05e250501dccd1
>>> >     Machine ID: d1ab05e432c24567859f109be8523fab
>>> >       Hostname: ilmarin.xxx.yyy
>>> >        Storage: /var/lib/systemd/coredump/core.x2goagent.1000.d09cf916ba0d4b8ead05e250501dccd1.4390.1604404696000000.zst
>>> >        Message: Process 4390 (x2goagent) of user 1000 dumped core.
>>> >
>>> >                 Stack trace of thread 4390:
>>> >                 #0  0x00007f08394a2bc5 raise (libc.so.6 + 0x3dbc5)
>>> >                 #1  0x00007f083948b8a4 abort (libc.so.6 + 0x268a4)
>>> >                 #2  0x00007f08394e5127 __libc_message (libc.so.6 + 0x80127)
>>> >                 #3  0x00007f083957647a __fortify_fail (libc.so.6 + 0x11147a)
>>> >                 #4  0x00007f0839576446 __stack_chk_fail (libc.so.6 + 0x111446)
>>> >                 #5  0x000055da7fbec3b1 nxagentCollectPropertyEvent (nxagent + 0xbc3b1)
>>> >                 #6  0x000055da7fbcfb43 nxagentDispatchEvents (nxagent + 0x9fb43)
>>> >                 #7  0x000055da7fbd678a nxagentWakeupHandler (nxagent + 0xa678a)
>>> >                 #8  0x000055da7fbbb153 WaitForSomething (nxagent + 0x8b153)
>>> >                 #9  0x000055da7fb93cca Dispatch (nxagent + 0x63cca)
>>> >                 #10 0x000055da7fb7262e main (nxagent + 0x4262e)
>>> >                 #11 0x00007f083948d1a2 __libc_start_main (libc.so.6 + 0x281a2)
>>> >                 #12 0x000055da7fb74a1e _start (nxagent + 0x44a1e)
>>> >
>>> > Please let me know if you need more info or testing, the problem is always reproducible.
>>> > Thanks in advance,
>>> > Gianluca.
>>> > _______________________________________________
>>> > x2go-dev mailing list
>>> > x2go-dev@lists.x2go.org
>>> > https://lists.x2go.org/listinfo/x2go-dev
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Nov 25 23:01:02 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.